Metacat - Bug #933

metacat does not export single files
01/06/2003 02:42 PM - Chad Berkley

Status: Resolved Start date: 01/06/2003
Priority: Normal Due date:

Assignee: dJing Tao % Done: 0%
Category: metacat Estimated time: 0.00 hour
Target version: 1.3 Spent time: 0.00 hour
Bugzilla-ld: 933

Description

I noticed that when you use the export function in metacat, if the docid you
provide is not part of an eml package, it throws an exception and will not

export the file. | changed this so that it will zip up the individual file and

return that. Jing, would you please look at the changes | made to your code and

make sure | didn't break anything. The code is in the branch
CHANGES_FOR_MONARCH_01062003. Included in this branch is also the web.xml file

that works with Tomcat 4.x. Once the code in DBQuery is checked, it can be

merged into the trunk.

History

#1 - 01/10/2003 09:48 AM - Jing Tao

The changed code was merged into head and tested. It worked well.

#2 - 03/27/2013 02:15 PM - Redmine Admin
Original Bugzilla ID was 933
